Package org.opensaml.xmlsec.signature

# Interface ECPointType

All Superinterfaces:
  `CryptoBinary`, `XMLObject`, `XSBase64Binary`

All Known Subinterfaces:
  `PublicKey`

All Known Implementing Classes:
  `ECPointTypeImpl`, `PublicKeyImpl`

public interface ECPointType extends CryptoBinary
XMLObject representing XML Digital Signature 1.1 ECPointType element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Element local name.
`static final QName`
`TYPE_NAME`
Default element name.

## Method Summary

### Methods inherited from interface org.opensaml.xmlsec.signature.CryptoBinary

`getValueBigInt, setValueBigInt`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`getValue, setValue`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
Default element name.